### Constructor

# Gegl Buffer new

#### Declaration [src]

    GeglBuffer*
    gegl_buffer_new (
      const GeglRectangle* extent,
      const Babl* format
    )

#### Description [src]

Create a new GeglBuffer of a given format with a given extent. It is possible to pass in NULL for both extent and format, a NULL extent creates an empty buffer and a NULL format makes the buffer default to “RGBA float”.

This method is not directly available to language bindings.

#### Parameters

`extent`

  Type: `GeglRectangle`

  The geometry of the buffer (origin, width and height) a GeglRectangle.

  The data is owned by the caller of the function.

`format`

  Type: `Babl`

  The Babl pixel format to be used, create one with babl_format(“RGBA u8”) and similar.

  The data is owned by the caller of the function.

#### Return value

Type: `GeglBuffer`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.